### Function

# Pango attr_gravity_new

#### Declaration [src]

    PangoAttribute*
    pango_attr_gravity_new (
      PangoGravity gravity
    )

#### Description [src]

Create a new gravity attribute.

Available since: | 1.16

#### Parameters

`gravity` | `PangoGravity`
| The gravity value; should not be `PANGO_GRAVITY_AUTO`.

#### Return value

Returns: | `PangoAttribute`
| The newly allocated `PangoAttribute`, which should be freed with `pango_attribute_destroy()`
| The caller of the function takes ownership of the data, and is responsible for freeing it.